Botan 1.10.17

Classes | Namespaces | Typedefs | Functions
symkey.h File Reference
`#include <botan/secmem.h>`
`#include <string>`

Go to the source code of this file.

## Classes
class | Botan::OctetString

## Namespaces
| Botan

## Typedefs
typedef OctetString | Botan::InitializationVector
typedef OctetString | Botan::SymmetricKey

## Functions
bool | Botan::operator!= (const OctetString &s1, const OctetString &s2)
OctetString | Botan::operator+ (const OctetString &k1, const OctetString &k2)
bool | Botan::operator== (const OctetString &s1, const OctetString &s2)
OctetString | Botan::operator^ (const OctetString &k1, const OctetString &k2)